Gtk_Ruler(3)

NAME - Gtk_Ruler
Abstract Ruler

HEADER REQUIRED
#include <gtk--/ruler.h&gt;>

BASE CLASSES
Gtk_Widget(3)

DERIVED BY
Gtk_HRuler(3) Gtk_VRuler(3)

PROPERTIES

backing_store
    Type: GdkPixmap*

non_gr_exp_gc
    Type: GdkGC*

metric
    Type: GtkRulerMetric*

slider_size
    Type: gint

lower
    Type: gfloat

     The upper limit of the ruler (in points)

upper
    Type: gfloat

     The lower limit of the ruler

position
    Type: gfloat

     The position of the mark on the ruler

max_size
    Type: gfloat

     The maximum size of the ruler

PUBLIC MEMBER INDEX
    Gtk_Ruler(GtkRuler *castitem);
    void  set_metric(GtkMetricType metric);
    void  set_range(gfloat lower, gfloat upper, gfloat position, gfloat max_size);
    void  draw_ticks();
    void  draw_pos();
    GtkRuler*  gtkobj();
    const GtkRuler*  gtkobj() const;
    static bool  isGtkRuler(Gtk_Object *checkcast);

PROTECTED MEMBER INDEX
    friend  CppClassType;
    typedef GtkRuler  BaseObjectType;
    typedef GtkRulerClass  BaseClassType;
    virtual void * get_parent_class();
    Gtk_Ruler();

PRIVATE MEMBER INDEX
    static CppClassType  ruler_class;
    GtkType  get_type();

PUBLIC MEMBER DESCRIPTIONS

PROTECTED MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS